QXmpp: QXmppFallback Class Reference

QXmpp Version: 1.14.2

Loading...
Searching...
No Matches
QXmppFallback Class Reference

## Classes
struct | Range
struct | Reference

## Public Types
enum | Element { Body , Subject }

## Public Member Functions
| QXmppFallback (const QString &forNamespace, const QVector< Reference > &references)
| Creates a fallback marker.
const QString & | forNamespace () const
void | setForNamespace (const QString &)
const QVector< Reference > & | references () const
void | setReferences (const QVector< Reference > &)
void | toXml (QXmlStreamWriter *) const

## Static Public Member Functions
static std::optional< QXmppFallback > | fromDom (const QDomElement &)

## Detailed Description

Fallback marker for message stanzas as defined in XEP-0428: Fallback Indication.

See also
  QXmppFallback

Since
  QXmpp 1.7

## Member Enumeration Documentation

## ◆ Element

enum QXmppFallback::Element

Describes the element of the message stanza this refers to.

## Member Function Documentation

## ◆ forNamespace()

const QString & QXmppFallback::forNamespace | ( |  | ) | const

Returns the namespace of the XEP that this fallback marker is referring to.

## ◆ fromDom()

std::optional< QXmppFallback > QXmppFallback::fromDom | ( | const QDomElement & | el | ) |
| static

Tries to parse el into a QXmppFallback object.

Returns
  Empty optional on failure, parsed object otherwise.

## ◆ references()

const QVector< QXmppFallback::Reference > & QXmppFallback::references | ( |  | ) | const

Returns the text references of this fallback marker.

## ◆ setForNamespace()

void QXmppFallback::setForNamespace | ( | const QString & | ns | ) |

Sets the namespace of the XEP that this fallback marker is referring to.

## ◆ setReferences()

void QXmppFallback::setReferences | ( | const QVector< Reference > & | references | ) |

Sets the text references of this fallback marker.

## ◆ toXml()

void QXmppFallback::toXml | ( | QXmlStreamWriter * | writer | ) | const

Serializes the object to XML.

The documentation for this class was generated from the following files:

- QXmppFallback.h
- QXmppMessage.cpp